Skip to main content
GET
/
site
Error
A valid request URL is required to generate request examples
{
  "title": "My Chat App",
  "chat_color_theme": "#4A90D9",
  "chat_color_theme_inverted": false,
  "icon_type": "emoji",
  "icon": "🤖",
  "icon_background": "#FFFFFF",
  "icon_url": null,
  "description": "A helpful customer service chatbot.",
  "copyright": "2025 Dify",
  "privacy_policy": "https://example.com/privacy",
  "custom_disclaimer": "",
  "default_language": "en-US",
  "show_workflow_steps": false,
  "use_icon_as_answer_icon": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.dify.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Response

WebApp settings of the application.

title
string

WebApp title.

chat_color_theme
string

Chat color theme.

chat_color_theme_inverted
boolean

Whether the chat color theme is inverted.

icon_type
string

Type of icon used. emoji for emoji icons, image for uploaded image icons.

icon
string

Icon content (emoji or image ID).

icon_background
string

Icon background color.

icon_url
string<url> | null

URL of the icon image.

description
string

WebApp description.

Copyright text.

privacy_policy
string

Privacy policy URL.

custom_disclaimer
string

Custom disclaimer text.

default_language
string

Default language code.

show_workflow_steps
boolean

Whether to show workflow steps.

use_icon_as_answer_icon
boolean

Whether to use the app icon as the answer icon.